Subject: Re: [Simple] Review of draft-ietf-simple-message-sessions-08 - Chunking

From: Ben Campbell <[email-masked]>
Date: Fri, 1 Oct 2004 17:27:20 -0500

On Sep 27, 2004, at 10:40 AM, Paul Kyzivat wrote:

[...]

>>> It is abnormal in the sense that it can only arise if there is a 
>>> violation of the specification. Normally we don't specify corrective 
>>> action in those cases.
>> No, I meant device or user behaviour that causes the sending to be 
>> immediately aborted. Nothing to do with protocol violation. (eg: 
>> abnorla termination of the application).
>
> As best I can tell, we are saying that you must decide, when beginning 
> to send, whether to use an interruptible chunk, or an uninterruptible 
> chunk. If you use an uninterruptible chunk you specify the range-end 
> as a number and include that many bytes of body. If you choose an 
> interruptible chunk, you use "*" for range-end and then you put as 
> much body as you like.
>
> An application that chooses to use an uninterruptible chunk, and then 
> fails to include the full number of bytes for it has violated the 
> protocol.
>
> Effectively, an application should only use an uninterruptible chunk 
> if it already has all the bytes in hand and ready to send.
>

I think perhaps Hisham refers to error conditions like having the user 
close an app in mid send. In this case, either the device will cleanly 
complete the message, or simply stop sending. In that case, there will 
never be a closing. This is not the same as a closing with the 
incorrect payload length.

> 	Paul
>
>
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
>

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple